Loading...
Searching...
No Matches
Box
Foundation Classes » Mathematics » Geometric objects

## Storers

typedef TSimpleBox3< float > | BALL::SimpleBox3
template<typename T>
std::istream & | BALL::operator>> (std::istream &s, TSimpleBox3< T > &box)
template<typename T>
std::ostream & | BALL::operator<< (std::ostream &s, const TSimpleBox3< T > &box)

## Detailed Description

## Typedef Documentation

## SimpleBox3

typedef TSimpleBox3<float> BALL::SimpleBox3

Default three-dimensional box class of type float

Definition at line 615 of file simpleBox3.h.

## Function Documentation

## operator<<()

template<typename T>

std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const TSimpleBox3< T > & | box )

Output Operator. Writes the two coordinates of the box to an output stream. The vectors are enclosed by brackets.

  Example

  ((0 1 2) (7.5 3.4 10))

See also
  TVector3::operator<<

Definition at line 606 of file simpleBox3.h.

## operator>>()

template<typename T>

std::istream & BALL::operator>> | ( | std::istream & | s,
|  | TSimpleBox3< T > & | box )

Input operator. Reads in two objects of type TVector3 a and b

Definition at line 589 of file simpleBox3.h.